Bug 1349856 - Programs using webkitgtk3 compiled with gcc 6.1 crash on start. F.e: midori, xombrero, etc.
Summary: Programs using webkitgtk3 compiled with gcc 6.1 crash on start. F.e: midori, ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: webkitgtk3
Version: 24
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-24 11:45 UTC by Iñigo Serna
Modified: 2016-06-30 21:23 UTC (History)
5 users (show)

Fixed In Version: webkitgtk3-2.4.11-2.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-30 21:23:18 UTC
Type: Bug


Attachments (Terms of Use)

Description Iñigo Serna 2016-06-24 11:45:32 UTC
Description of problem:
Midori and, most surely, other programs using webkitgtk3 compiled with gcc 6.1 crash on start. I've checked in with my own compiled version of xombrero web browser.


Version-Release number of selected component (if applicable):
webkitgtk3 v2.4.11-1.fc24 from official Fedora repo, also tested with v2.4.11-2 from rawhide built with 'rpmbuild' tool on same computer.


How reproducible:
Always


Steps to Reproduce:
1. Run midori or any other webkitgtk3-based program
2.
3.


Actual results:
Program crashes at start.

/home/inigo ⚡ midori 
The configuration couldn't be loaded: No such file or directory
Segmentation fault (core dumped)


Expected results:
Program successfully running.


Additional info:
Maybe related with Bug #1320240, as the crash comes from the same function:

Thread 1 "xombrero" received signal SIGSEGV, Segmentation fault.
0x00007ffff3d13ee8 in WTF::String::isolatedCopy() const () from /lib64/libjavascriptcoregtk-3.0.so.0

Debug info:

/home/_compiling/gnome/progs/xombrero/linux ⚡ gdb ./xombrero 
GNU gdb (GDB) Fedora 7.11.1-75.fc24
Copyright (C) 2016 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from ./xombrero...done.
(gdb) run
Starting program: /home/_compiling/gnome/progs/xombrero/linux/xombrero 
Missing separate debuginfos, use: dnf debuginfo-install glibc-2.23.1-8.fc24.x86_64
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
[New Thread 0x7fffdacc3700 (LWP 15235)]
[New Thread 0x7fffda4c2700 (LWP 15236)]
[New Thread 0x7fffd3fff700 (LWP 15238)]
[New Thread 0x7fffd37fe700 (LWP 15239)]
[New Thread 0x7fffd2df0700 (LWP 15240)]
No bp log location saved, using default.
[000:000] Cpu: 6.94.3, x4, 3100Mhz, 15929MB
[000:000] Computer model: Not available
[000:000] Browser XEmbed support present: 1
[000:000] Browser toolkit is Gtk2.
[000:063] Using Gtk2 toolkit
Missing separate debuginfo for /home/inigo/.mozilla/plugins/libgnome-shell-browser-plugin.so
Try: dnf --enablerepo='*debug*' install /usr/lib/debug/.build-id/bd/114a4219b4ed8db0547beb48b5ce755fab0d1b.debug
No bp log location saved, using default.
[000:000] Cpu: 6.94.3, x4, 3100Mhz, 15929MB
[000:000] Computer model: Not available
[000:009] Warning(optionsfile.cc:30): Load: Could not open file, err=2
[000:009] No bp log location saved, using default.
[000:010] Cpu: 6.94.3, x4, 3100Mhz, 15929MB
[000:010] Computer model: Not available
[New Thread 0x7fff89169700 (LWP 15241)]
[New Thread 0x7fff88968700 (LWP 15242)]
[New Thread 0x7fff7bfff700 (LWP 15243)]

(xombrero:15227): Gtk-WARNING **: Theme parsing error: xombrero.css:36:27: The style property GtkWidget:focus-padding is deprecated and shouldn't be used anymore. It will be removed in a future version
[New Thread 0x7fff7b7fe700 (LWP 15244)]
[New Thread 0x7fff7affd700 (LWP 15245)]
[New Thread 0x7fff7a7fc700 (LWP 15246)]
[New Thread 0x7fff79ffb700 (LWP 15247)]

Thread 1 "xombrero" received signal SIGSEGV, Segmentation fault.
0x00007ffff3d13ee8 in WTF::String::isolatedCopy() const () from /lib64/libjavascriptcoregtk-3.0.so.0
Missing separate debuginfos, use: dnf debuginfo-install GConf2-3.2.6-16.fc24.x86_64 PackageKit-gtk3-module-1.1.1-3.fc24.x86_64 at-spi2-atk-2.20.1-1.fc24.x86_64 at-spi2-core-2.20.2-1.fc24.x86_64 atk-2.20.0-1.fc24.x86_64 bzip2-libs-1.0.6-20.fc24.x86_64 cairo-1.15.2-23.intel20161.x86_64 cairo-gobject-1.15.2-23.intel20161.x86_64 dbus-glib-0.106-1.fc24.x86_64 dbus-libs-1.11.2-1.fc24.x86_64 dconf-0.26.0-1.fc24.x86_64 enchant-1.6.0-13.fc24.x86_64 expat-2.1.1-2.fc24.x86_64 fontconfig-2.11.94-6.fc24.x86_64 freetype-freeworld-2.5.5-2.fc24.x86_64 gdk-pixbuf2-2.34.0-1.fc24.x86_64 gdk-pixbuf2-modules-2.34.0-1.fc24.x86_64 glib-networking-2.48.2-1.fc24.x86_64 glib2-2.48.1-1.fc24.x86_64 gmp-6.1.0-2.fc24.x86_64 gnome-shell-3.20.2-1.fc24.x86_64 gnutls-3.4.13-1.fc24.x86_64 google-talkplugin-5.41.3.0-1.x86_64 graphite2-1.3.6-1.fc24.x86_64 gstreamer1-1.8.2-1.fc24.x86_64 gstreamer1-plugins-base-1.8.2-1.fc24.x86_64 gtk2-2.24.30-1.fc24.x86_64 gtk3-3.20.6-1.fc24.x86_64 gvfs-client-1.28.2-1.fc24.x86_64 harfbuzz-1.2.7-1.fc24.x86_64 harfbuzz-icu-1.2.7-1.fc24.x86_64 hunspell-1.3.3-9.fc24.x86_64 js-1.8.5-25.fc24.x86_64 json-glib-1.2.0-1.fc24.x86_64 keyutils-libs-1.5.9-8.fc24.x86_64 krb5-libs-1.14.1-6.fc24.x86_64 libICE-1.0.9-5.fc24.x86_64 libSM-1.2.2-4.fc24.x86_64 libX11-1.6.3-3.fc24.x86_64 libXau-1.0.8-6.fc24.x86_64 libXcomposite-0.4.4-8.fc24.x86_64 libXcursor-1.1.14-6.fc24.x86_64 libXdamage-1.1.4-8.fc24.x86_64 libXext-1.3.3-4.fc24.x86_64 libXfixes-5.0.2-2.fc24.x86_64 libXi-1.7.6-2.fc24.x86_64 libXinerama-1.1.3-6.fc24.x86_64 libXrandr-1.5.0-3.fc24.x86_64 libXrender-0.9.9-3.fc24.x86_64 libXt-1.1.5-3.fc24.x86_64 libXxf86vm-1.1.4-3.fc24.x86_64 libattr-2.4.47-16.fc24.x86_64 libbsd-0.7.0-4.fc24.x86_64 libcanberra-0.30-11.fc24.x86_64 libcanberra-gtk3-0.30-11.fc24.x86_64 libcap-2.24-9.fc24.x86_64 libcom_err-1.42.13-4.fc24.x86_64 libdatrie-0.2.9-3.fc24.x86_64 libdrm-2.4.68-1.fc24.x86_64 libepoxy-1.3.1-2.fc24.x86_64 libffi-3.1-9.fc24.x86_64 libgcc-6.1.1-2.fc24.x86_64 libgcrypt-1.6.4-2.fc24.x86_64 libgpg-error-1.21-2.fc24.x86_64 libicu-56.1-4.fc24.x86_64 libidn-1.32-2.fc24.x86_64 libjpeg-turbo-1.4.2-3.fc24.x86_64 libmodman-2.0.1-12.fc24.x86_64 libogg-1.3.2-5.fc24.x86_64 libpng-1.6.23-1.fc24.x86_64 libproxy-0.4.12-3.fc24.x86_64 libproxy-mozjs-0.4.12-3.fc24.x86_64 libsecret-0.18.5-1.fc24.x86_64 libselinux-2.5-3.fc24.x86_64 libsoup-2.54.1-1.fc24.x86_64 libstdc++-6.1.1-2.fc24.x86_64 libtasn1-4.8-1.fc24.x86_64 libtdb-1.3.9-1.fc24.x86_64 libthai-0.1.24-1.fc24.x86_64 libtool-ltdl-2.4.6-11.fc24.x86_64 libuuid-2.28-3.fc24.x86_64 libvorbis-1.3.4-6.fc24.x86_64 libwayland-client-1.10.0-1.fc24.x86_64 libwayland-cursor-1.10.0-1.fc24.x86_64 libwayland-server-1.10.0-1.fc24.x86_64 libwebp-0.5.0-2.fc24.x86_64 libxcb-1.11.1-2.fc24.x86_64 libxkbcommon-0.6.1-1.fc24.x86_64 libxml2-2.9.3-3.fc24.x86_64 libxshmfence-1.2-3.fc24.x86_64 libxslt-1.1.28-12.fc24.x86_64 lz4-r131-2.fc24.x86_64 mesa-libEGL-11.2.2-2.20160614.fc24.x86_64 mesa-libGL-11.2.2-2.20160614.fc24.x86_64 mesa-libgbm-11.2.2-2.20160614.fc24.x86_64 mesa-libglapi-11.2.2-2.20160614.fc24.x86_64 mesa-libwayland-egl-11.2.2-2.20160614.fc24.x86_64 nettle-3.2-2.fc24.x86_64 nspr-4.12.0-1.fc24.x86_64 nss-3.24.0-1.2.fc24.x86_64 nss-softokn-freebl-3.24.0-1.0.fc24.x86_64 nss-util-3.24.0-1.0.fc24.x86_64 orc-0.4.25-1.fc24.x86_64 p11-kit-0.23.2-2.fc24.x86_64 pango-1.40.1-1.fc24.x86_64 pcre-8.39-2.fc24.x86_64 pixman-0.34.0-2.fc24.x86_64 rhythmbox-3.3.1-1.fc24.x86_64 sqlite-libs-3.11.0-3.fc24.x86_64 systemd-libs-229-8.fc24.x86_64 webkitgtk3-2.4.11-1.fc24.x86_64 xz-libs-5.2.2-2.fc24.x86_64 zlib-1.2.8-10.fc24.x86_64

Comment 1 Tomas Popela 2016-06-24 12:06:29 UTC
Hi,

can you please test the following scratch build (it has the workaround from bug 1320240 enabled for all arches)?

http://koji.fedoraproject.org/koji/taskinfo?taskID=14633608

Comment 2 Iñigo Serna 2016-06-24 13:39:52 UTC
Thanks four your response.

I've compiled and installed webkitgtk3-2.4.11-2.fc25.src.rpm from rawhide and it also crashes.

But I'm not sure if this would solve the problem as I'm not sure the check included on the stated patch

    %ifarch s390 s390x ppc %{power64} aarch64 %{mips}

also applies to x86_64 architectures?


Also, excuse me, as I don't know much about koji, but is there any way to download a compiled version of the package from http://koji.fedoraproject.org/koji/taskinfo?taskID=14633608 ?

I only found a f25 version, but it does not work on f24 as it depends on a new version of icu library.

It took 6+ hours to compile webkitgtk3-2.4.11-2.fc25.src.rpm from rawhide on my computer this morning...

Comment 3 Iñigo Serna 2016-06-24 19:26:10 UTC
I've removed the if-clause forcing the '-fno-delete-null-pointer-checks' to be used for all architectures, recompiled and it works. So this is the solution.

Comment 4 Fedora Update System 2016-06-28 07:35:45 UTC
webkitgtk3-2.4.11-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6f7a91feb7

Comment 5 Hin-Tak Leung 2016-06-29 01:59:34 UTC
I don't have a crash with webkitgtk3-2.4.11-1.fc24.x86_64 , via webkitgtk-sharp3 ( rpm grabbed off copr), but it is fairly simple usage.

Comment 6 Fedora Update System 2016-06-29 22:56:41 UTC
webkitgtk3-2.4.11-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6f7a91feb7

Comment 7 Fedora Update System 2016-06-30 21:23:16 UTC
webkitgtk3-2.4.11-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.